Debian Bug report logs - #545396
mypaint: Should recommend shared-mime-info for OpenRaster mime-info

version graph

Package: mypaint; Maintainer for mypaint is Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>; Source for mypaint is src:mypaint.

Reported by: Andrew Chadwick <andrewc@piffle.org>

Date: Sun, 6 Sep 2009 22:06:01 UTC

Severity: minor

Found in version mypaint/0.7.1-1

Fixed in version mypaint/1.1.0-1

Done: Andrew Chadwick <a.t.chadwick@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#545396; Package mypaint. (Sun, 06 Sep 2009 22:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Chadwick <andrewc@piffle.org>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Sun, 06 Sep 2009 22:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Chadwick <andrewc@piffle.org>
To: submit@bugs.debian.org
Subject: .ora files look like zip archives! (... really openraster support bugs: no mime-info, no thumbnailer)
Date: Sun, 06 Sep 2009 22:56:05 +0100
Package: mypaint
Version: 0.7.1-1
Severity: minor

OpenRaster files created by MyPaint are indistinguishable from Zip 
archives when viewed in Nautilus, to the extent of being shown with an 
incorrect MIME type (application/zip instead of image/openraster). Plus 
of course the icon is that of a zipfile.


Breaking it down, this is really another two-issue bug report (sorry) 
but these really are related, I promise!

1. MyPaint does not ship with a mime-info entry for OpenRaster files, 
meaning that ORA files appear in file manager programs as though they 
were ZIP archives.

2. Since the package is targeted at artists and visually-thinking 
people, it'd be really nice to have a thumbnailer for the most common 
desktop environments :)


Perhaps a new package for openraster desktop support could be created 
for these two issues together? Fixing 1. is a prerequisite of fixing 2. 
There's software available out there for this:

http://create.freedesktop.org/wiki/OpenRaster
http://gitorious.org/mypaint/mypaint/commit/043b64da68d47718fd96e64d04d710a46592526a

and it certainly wouldn't be something limited to just MyPaint: Krita 
(SVN), Drawpile, and GIMP (via the unofficial ORA loader/saver plugin) 
would all benefit. Initially it could live in the mypaint package I 
suppose, since mypaint is the program which would most immediately benefit.

-- 
Andrew Chadwick




Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#545396; Package mypaint. (Mon, 07 Sep 2009 09:36:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Renold <martinxyz@gmx.ch>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Mon, 07 Sep 2009 09:36:46 GMT) Full text and rfc822 format available.

Message #10 received at 545396@bugs.debian.org (full text, mbox):

From: Martin Renold <martinxyz@gmx.ch>
To: Andrew Chadwick <andrewc@piffle.org>, 545396@bugs.debian.org
Subject: Re: Bug#545396: .ora files look like zip archives! (... really openraster support bugs: no mime-info, no thumbnailer)
Date: Mon, 7 Sep 2009 11:24:19 +0200
On Sun, Sep 06, 2009 at 10:56:05PM +0100, Andrew Chadwick wrote:
> 1. MyPaint does not ship with a mime-info entry for OpenRaster
> files, meaning that ORA files appear in file manager programs as
> though they were ZIP archives.

I was wondering whether MyPaint should really have this mime?  Anyway, there
is one in the source in desktop/mime/mypaint.xml.  And Krita also has one,
not sure if it gets installed, but it's probably somewhat different.

Wouldn't there be conflicts if more than one application installs this?

> 2. Since the package is targeted at artists and visually-thinking
> people, it'd be really nice to have a thumbnailer for the most
> common desktop environments :)

I fully agree. The thing (if I'm up-to-date) is that we haven't figured out
yet whom to ask to integrate those thumbnailers into which project.

> Perhaps a new package for openraster desktop support could be
> created for these two issues together?
>
> and it certainly wouldn't be something limited to just MyPaint: Krita
> (SVN), Drawpile, and GIMP (via the unofficial ORA loader/saver plugin)
> would all benefit.  Initially it could live in the mypaint package I
> suppose, since mypaint is the program which would most immediately
> benefit.

I was planning to move thumbnailers and mime stuff also into the oratools
repository (where the GIMP plugin is), away from the mypaint source, until
the respective desktop environments take over maintainence.  Do you think
this should grow into its own independent project instead, for distributions
to package?

bye,
Martin




Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#545396; Package mypaint. (Mon, 07 Sep 2009 12:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Chadwick <andrewc@piffle.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Mon, 07 Sep 2009 12:39:09 GMT) Full text and rfc822 format available.

Message #15 received at 545396@bugs.debian.org (full text, mbox):

From: Andrew Chadwick <andrewc@piffle.org>
To: Martin Renold <martinxyz@gmx.ch>, 545396@bugs.debian.org
Cc: ana@debian.org, rasasi78@gmail.com, bzed@debian.org
Subject: Re: Bug#545396: .ora files look like zip archives! (... really openraster support bugs: no mime-info, no thumbnailer)
Date: Mon, 07 Sep 2009 13:18:30 +0100
[Cc:ed the named Debian krita maintainers and Bernd (maintainer of 
gimp-plugin-registry). Hi guys; Martin is the upstream maintainer of 
oratools, a bundle of plugins and desktop support for the OpenRaster 
file format: http://gitorious.org/mypaint/oratools . Any comments?]


Martin Renold wrote:

> I was wondering whether MyPaint should really have this mime?  Anyway, there
> is one in the source in desktop/mime/mypaint.xml.  And Krita also has one,
> not sure if it gets installed, but it's probably somewhat different.
> 
> Wouldn't there be conflicts if more than one application installs this?

Provided everything uses different files, then shared-mime-info 
shouldn't get too confused when it updates. It's still better practice 
to put behaviour only in one place, I think.

>> 2. Since the package is targeted at artists and visually-thinking
>> people, it'd be really nice to have a thumbnailer for the most
>> common desktop environments :)
> 
> I fully agree. The thing (if I'm up-to-date) is that we haven't figured out
> yet whom to ask to integrate those thumbnailers into which project.

As far as oratools - yourself and Jon - are concerned, oratools could 
just package the mime-info XML and the thumbnailer scripts (disclaimer: 
I've not played with the KDE one), plus the existing GIMP package. Leave 
the installation details to the distros. It's still useful to have 
everything in one place, for everyone's sake.

Ana Beatriz, Raúl: would that seem acceptable from a KDE/krita 
perspective? I've no idea how KDE integrates thumbnailers, sadly.

(To fulfil the expectation created by the "tools" name, perhaps oratools 
could bundle some conversion scripts as well as the desktop and gimp 
integration stuff...? :)

>> Perhaps a new package for openraster desktop support could be
>> created for these two issues together?
>>
>> and it certainly wouldn't be something limited to just MyPaint: Krita
>> (SVN), Drawpile, and GIMP (via the unofficial ORA loader/saver plugin)
>> would all benefit.  Initially it could live in the mypaint package I
>> suppose, since mypaint is the program which would most immediately
>> benefit.
> 
> I was planning to move thumbnailers and mime stuff also into the oratools
> repository (where the GIMP plugin is), away from the mypaint source, until
> the respective desktop environments take over maintainence.  Do you think
> this should grow into its own independent project instead, for distributions
> to package?

Seems like the best plan, simply from the perspective of keeping 
everything in one place for maintainers. Making it fully independent of 
mypaint might be a nice thing too, from a political perspective... :)


One caveat from the packaging perspective: don't force KDE stuff on 
Gnome people or /vice versa/. If I were packaging for Debian, I'd split 
it into:

  oratools:
    Description: MIME setup and GIMP plugin for OpenRaster images
    Recommends: oratools-thumbnailer-gnome | oratools-thumbnailer-kde
    Enhances: gimp
    Depends: shared-mime-info
    Suggests: oratools-thumbnailer-gnome | oratools-thumbnailer-kde

  oratools-thumbnailer-kde:
    Description: KDE thumbnailer for OpenRaster images
    Enhances: kdebase
    Depends: oratools, $KDE_STUFF

  oratools-thumbnailer-gnome:
    Description: GNOME-style thumbnailer for OpenRaster images
    Enhances: gnome-desktop-environment, thunar
    Depends: oratools, $GNOME_STUFF

and arrange for actual paint programs which use OpenRaster - krita, 
mypaint - to use

  Recommends: oratools-thumbnailer-gnome | oratools-thumbnailer-kde

With this setup, people grabbing mypaint or krita using a Debian package 
manager that automatically selects Recommended packages should 
automatically pull in the right thumbnailers for their system.



Thunar uses GNOME-style thumbnailers if they're available, according to 
http://goodies.xfce.org/projects/thunar-plugins/thunar-thumbnailers/

Seems like KDE use shared-mime-info these days:
http://lists.kde.org/?l=kde-core-devel&m=117439505315489 , but their own 
style of binary thumbnailer blivets.


-- 
Andrew Chadwick




Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#545396; Package mypaint. (Mon, 07 Sep 2009 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Mon, 07 Sep 2009 21:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 545396@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Andrew Chadwick <andrewc@piffle.org>
Cc: Martin Renold <martinxyz@gmx.ch>, 545396@bugs.debian.org, rasasi78@gmail.com, bzed@debian.org
Subject: Re: Bug#545396: .ora files look like zip archives! (... really openraster support bugs: no mime-info, no thumbnailer)
Date: Mon, 7 Sep 2009 23:50:58 +0200
On Mon, Sep 07, 2009 at 01:18:30PM +0100, Andrew Chadwick wrote:
> 
> Ana Beatriz, Raúl: would that seem acceptable from a KDE/krita
> perspective? I've no idea how KDE integrates thumbnailers, sadly.


krita has handled this on its way and ship:

cat /usr/share/mime/packages/krita_ora.xml

<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="image/openraster-archiving">
  <comment>OpenRaster (long-term) Archiving document</comment>
  <glob pattern="*.ora"/>
</mime-type>
</mime-info>

So for krita users it is shown corrently. Actually, I think it better should be 
handled direclty by /usr/share/mime/packages/kde.xml.

In any case, why you do not submit the definition to share-mime-info upstream
and it is shown consistentely in all the desktops? Even if you do not have
any of the mentioned programs installed users can know what the file is about.

Ana




Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#545396; Package mypaint. (Wed, 16 Sep 2009 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@kde.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Wed, 16 Sep 2009 22:18:09 GMT) Full text and rfc822 format available.

Message #25 received at 545396@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@kde.org>
To: 545396@bugs.debian.org
Cc: Ana Guerrero <ana@debian.org>, Andrew Chadwick <andrewc@piffle.org>, Martin Renold <martinxyz@gmx.ch>, rasasi78@gmail.com, bzed@debian.org
Subject: Re: Bug#545396: .ora files look like zip archives! (... really openraster support bugs: no mime-info, no thumbnailer)
Date: Thu, 17 Sep 2009 00:08:50 +0200
[Message part 1 (text/plain, inline)]
Hello,

I am developer, who usually helps also about mimetypes in KDE.
I looked at the current situation, and given there is some agreement on a 
common format, I did the following:
- created a mimetype definition for the image/openraster (with both glob and 
content match) basing on the mypaint wiki pages, and added it today (along 
with an example file found on mypaint site) to shared-mime-info's CVS
- synchronized krita to use this new version

this means that:
- any shared-mime-info version > 0.60 (current version is 0.60, so any 
released version from today) will have image/openraster available
- krita (in next released version, which will be the stable 2.1, in the end) 
uses this version, albeit carrying a local copy of it (to avoid a dependency 
on a not-released-yet shared-mime-info version)

I guess this should solve the mimetypes issue of openraster files. If not, 
just ping me :)

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#545396; Package mypaint. (Fri, 18 Sep 2009 17:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Renold <martinxyz@gmx.ch>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Fri, 18 Sep 2009 17:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 545396@bugs.debian.org (full text, mbox):

From: Martin Renold <martinxyz@gmx.ch>
To: Pino Toscano <pino@kde.org>
Cc: 545396@bugs.debian.org, Ana Guerrero <ana@debian.org>, Andrew Chadwick <andrewc@piffle.org>, rasasi78@gmail.com, bzed@debian.org
Subject: Re: Bug#545396: .ora files look like zip archives! (... really openraster support bugs: no mime-info, no thumbnailer)
Date: Fri, 18 Sep 2009 19:30:29 +0200
[Message part 1 (text/plain, inline)]
On Thu, Sep 17, 2009 at 12:08:50AM +0200, Pino Toscano wrote:
> I guess this should solve the mimetypes issue of openraster files.

Thanks! One problem solved.

bye,
Martin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#545396; Package mypaint. (Tue, 18 Dec 2012 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Tue, 18 Dec 2012 22:39:03 GMT) Full text and rfc822 format available.

Message #35 received at 545396@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 545396@bugs.debian.org
Cc: Andrew Chadwick <andrewc@piffle.org>, Pino Toscano <pino@kde.org>, Martin Renold <martinxyz@gmx.ch>
Subject: Re: Bug#545396: mypaint: .ora files look like zip archives! (... really openraster support bugs: no mime-info, no thumbnailer)
Date: Tue, 18 Dec 2012 23:36:20 +0100
Control: retitle -1 mypaint: Should recommend shared-mime-info for OpenRaster mime-info

Hi,

Andrew Chadwick wrote:
> One caveat from the packaging perspective: don't force KDE stuff on
> Gnome people or /vice versa/. If I were packaging for Debian, I'd
> split it into:
> 
>   oratools:
>     Description: MIME setup and GIMP plugin for OpenRaster images
>     Recommends: oratools-thumbnailer-gnome | oratools-thumbnailer-kde
>     Enhances: gimp
>     Depends: shared-mime-info
>     Suggests: oratools-thumbnailer-gnome | oratools-thumbnailer-kde

This suggests that this bug report against mypaint should be changed
into a "request for package: oratools" or such.

>   oratools-thumbnailer-gnome:
>     Description: GNOME-style thumbnailer for OpenRaster images
>     Enhances: gnome-desktop-environment, thunar
>     Depends: oratools, $GNOME_STUFF

There's already an RFP for that one: http://bugs.debian.org/659320 --
and since it IMHO doesn't make a lot of sense to rip the GNOME
thumbnailer out of a project offering GNOME, KDE and XFCE thumbnailers
on a common code base, I'll retitle that bug report soon accordingly.

Pino Toscano wrote on 17. Sep. 2009:
> - any shared-mime-info version > 0.60 (current version is 0.60, so any 
> released version from today) will have image/openraster available

... and since 0.71 is part of Squeeze that's long time ago.

So IMHO mypaint should recommend shared-mime-info. (No specific
versioned dependency needed anymore nowadays.)

> I guess this should solve the mimetypes issue of openraster files. If not, 
> just ping me :)

So the only thing which actually still open in this bug report is the
missing thumbnailer and the missing Recommends on shared-mime-info,
right?

And since the thumbnailers are nowadays its own upstream project at
https://gitorious.org/openraster/ora-thumbnailers and no more part of
mypaint, http://bugs.debian.org/659320 already covers that part.

So I hereby retitle this bug report accordingly.

P.S.: mypaint recently has been orphaned in Debian (see
http://bugs.debian.org/691827). I'm no regular user of mypaint, but
would like to see it staying in shape in Debian, so if anyone is
interested, I'd be happy to sponsor or co-maintain the package (I
sponsored it in the past already), but I'll likely won't maintain it
alone.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Changed Bug title to 'mypaint: Should recommend shared-mime-info for OpenRaster mime-info' from '.ora files look like zip archives! (... really openraster support bugs: no mime-info, no thumbnailer)' Request was from Axel Beckert <abe@debian.org> to 545396-submit@bugs.debian.org. (Tue, 18 Dec 2012 22:39:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Mar 2013 19:06:13 GMT) Full text and rfc822 format available.

Reply sent to Andrew Chadwick <a.t.chadwick@gmail.com>:
You have taken responsibility. (Sat, 06 Apr 2013 01:03:45 GMT) Full text and rfc822 format available.

Notification sent to Andrew Chadwick <andrewc@piffle.org>:
Bug acknowledged by developer. (Sat, 06 Apr 2013 01:03:45 GMT) Full text and rfc822 format available.

Message #44 received at 545396-close@bugs.debian.org (full text, mbox):

From: Andrew Chadwick <a.t.chadwick@gmail.com>
To: 545396-close@bugs.debian.org
Subject: Bug#545396: fixed in mypaint 1.1.0-1
Date: Sat, 06 Apr 2013 01:00:17 +0000
Source: mypaint
Source-Version: 1.1.0-1

We believe that the bug you reported is fixed in the latest version of
mypaint, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Chadwick <a.t.chadwick@gmail.com> (supplier of updated mypaint package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 20 Mar 2013 13:08:23 +0000
Source: mypaint
Binary: mypaint mypaint-data mypaint-data-extras
Architecture: source amd64 all
Version: 1.1.0-1
Distribution: unstable
Urgency: low
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Changed-By: Andrew Chadwick <a.t.chadwick@gmail.com>
Description: 
 mypaint    - paint program for use with graphics tablets
 mypaint-data - runtime data files for MyPaint
 mypaint-data-extras - high resolution backgrounds for mypaint
Closes: 545396 660881 685254 691827
Changes: 
 mypaint (1.1.0-1) unstable; urgency=low
 .
   * New upstream version.
   * New upstream has an updated ru_RU.UTF-8 translation (closes: Bug#685254).
   * Standards bump and check 3.9.2 -> 3.9.4.
   * debian/rules: fix lintian script-not-executable for label-brush-mypaint.sh
   * debian/{rules,control}: split out hi-res data (closes: Bug#660881).
   * debian/copyright: update to cover new upstream licenses; machine-readable.
   * Mark myself as Uploader and PAPT as Maintainer (closes: Bug#691827).
   * Recommend shared-mime-info (closes: Bug#545396).
   * Migrated from deprecated dh_pysupport to dh_python2.
   * debian/control: update homepage link
   * debian/control: provide Vcs-* info
   * debian/rules: use dh_install, and use it to check for overlooked files
   * Move message catalogs to mypaint-data.
   * Backport license update to the all-colours palette (lintian, spelling(!)).
   * Backport removal of deprecated Encoding key from upstream (lintian).
   * Build with hardening flags.
   * Patch in upstream test suite fixes, and run tests during build.
   * (Only the one which will run with <= 512M RAM, e.g. some ARM buildbots.)
   * (19 Jan) Move development to Debian VCS (requirement of python apps team).
   * Add python-matplotlib and python-tk in build-depends (test suite reqs);
   * Lowercase first letter of each short package description (best practice).
   * Newlines for Build-Depends and Depends (sponsor preference).
Checksums-Sha1: 
 7e90f62d8dfdd4a03d4bded7e5a98e660c61912c 2205 mypaint_1.1.0-1.dsc
 9e4f0bc2cee6c369f1a40d7c24435b7c26cc3795 37416388 mypaint_1.1.0.orig.tar.bz2
 7a4e1f46e2f35fe4d4b4ccc10a6f393861c0d128 112025 mypaint_1.1.0-1.debian.tar.bz2
 1f8f9ce0e4ee94819920499bdb68d0034bcd2115 454154 mypaint_1.1.0-1_amd64.deb
 0ba23683e0381015f8f48f777270b827a5a6d1d5 3469948 mypaint-data_1.1.0-1_all.deb
 95bbff33c37c3b13ddd7161394e71a691e2183d5 30193524 mypaint-data-extras_1.1.0-1_all.deb
Checksums-Sha256: 
 e3537b8d550d18672ae03a0c6276b7ef0262c0c043c4896884ce5e3f6ba09794 2205 mypaint_1.1.0-1.dsc
 780d57e50dd90afd586873bc5120261930ea4c309d4d0958020916932122e838 37416388 mypaint_1.1.0.orig.tar.bz2
 4a97bf8ca6f52ea067cfbc6104e358b54eb11afccca2fed4c2288cbdc3859ab2 112025 mypaint_1.1.0-1.debian.tar.bz2
 9a1475f75b39a0689852a22e2a63c3221e2beff88be44220761de97079a6de0e 454154 mypaint_1.1.0-1_amd64.deb
 d8f602be496ce37235e3d8303960e43ca9e3751e53473b6e5f87ceafb41c7c20 3469948 mypaint-data_1.1.0-1_all.deb
 dbaa0cac59b2a21695323cf052ed6091944f47baed226d3bc1975b464c960d6f 30193524 mypaint-data-extras_1.1.0-1_all.deb
Files: 
 80523c380d233c072a1569aa690c5503 2205 graphics optional mypaint_1.1.0-1.dsc
 7846a8406259d0fc81c9a2157a2348bf 37416388 graphics optional mypaint_1.1.0.orig.tar.bz2
 f1da2cdc32d60906b180cd9d1317aad9 112025 graphics optional mypaint_1.1.0-1.debian.tar.bz2
 bc3b9bd3faf95e7f0e6c8e40f6402964 454154 graphics optional mypaint_1.1.0-1_amd64.deb
 ddae888bf1dba543a59e12fb7abf82d9 3469948 graphics optional mypaint-data_1.1.0-1_all.deb
 446edc10024f8692aa4d9c2ec9b36d7b 30193524 graphics optional mypaint-data-extras_1.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRUEFmAAoJEHQmOzf1tfkTgdQP/iTWGiig7bFGvNNHHmaQFIpW
DW0I723MIXMMVTkadU+SRq3FMpTRnK2lPvtk0ylhVU+HIMXAWeQPInrFM6WW/wPQ
LiYNZ/3cl9vwqazyaKtqd3QLu24acjHiZ+aEoBUAJ54snBFWrSemWIAMLtGyS6Ef
LOIYiATPr5GEABykdqXRgc5y7bOvj+AKKZBARYqEXASnLoUsNBWqhLs9FUo+/puz
w347rLNw/IbjS8TBt7aU/c3Ck4Ta5VB4AzX4o95sw/Si4YsoWx3NsLoRixGVYaxS
JAaQ2JV4n/OoLdY4K7YrA7pyU4Q1xIYsZVpOCAxNHMCv/54TnhoJsygNP2zik/GJ
IaU2MA4fotmi6Qbyum8Z411A0vv16AESt0V2b9mKsVkG7NYadY29xZOwXHqDrTFi
V7L1rT4q7DhbKI+bf5RO2UO3NJzhMRUgH16s2KpzyOLJBaPfiqXOO+mkzUM3pAda
OGg7KkgDDJJGSAKt7kycdKr5NlIjgDRC1ZG0UW4Vd82jF8mq2vVMJQU8rJDJSdIx
yRb4AY+al4pa/TlU5wxcffEVrUogB1L70JG7rvm/gbCCOrxJezp8AkKeDNnQMv1A
SVP8DIyU3b3A9NfsEQ0mj/un9uhptXg4adZZdtNq06iG4aOArRjt4NasgKANgaUt
trWN0BxqohB9kf3dDEiZ
=wqJh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 May 2013 07:32:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:45:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.